Upgrade error

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Upgrade error

Jack Sparrow
Hi All,

I'm trying to upgrade Bugzilla from 3.2.6 to 4.2.4.
Took the DB dump of 3.2.6 and restored in 4.2.4. After running the "SANITYCHECK.PL" i'm getting the below error.


Thanks In advance.
Reply | Threaded
Open this post in threaded view
|

Re: Upgrade error

Thorsten Schöning
Guten Tag Jack Sparrow,
am Freitag, 21. Dezember 2012 um 12:33 schrieben Sie:

> I'm trying to upgrade Bugzilla from 3.2.6 to 4.2.4.
> Took the DB dump of 3.2.6 and restored in 4.2.4. After running the
> "SANITYCHECK.PL" i'm getting the below error.

You always need to run checksetup.pl first as only this program is
able to update the schema to a current version supported by the
installed software.

Mit freundlichen Grüßen,

Thorsten Schöning

--
Thorsten Schöning       E-Mail:[hidden email]
AM-SoFT IT-Systeme      http://www.AM-SoFT.de/

Telefon...........05151-  9468- 55
Fax...............05151-  9468- 88
Mobil..............0178-8 9468- 04

AM-SoFT GmbH IT-Systeme, Brandenburger Str. 7c, 31789 Hameln
AG Hannover HRB 207 694 - Geschäftsführer: Andreas Muchow

_______________________________________________
support-bugzilla mailing list
[hidden email]
https://lists.mozilla.org/listinfo/support-bugzilla
PLEASE put [hidden email] in the To: field when you reply.
Reply | Threaded
Open this post in threaded view
|

Re: Upgrade error

Dave Miller
In reply to this post by Jack Sparrow
Usually you run sanitycheck first before exporting it from the old version.  If you import it into a new version the first thing you need to run is checksetup.pl which will upgrade the schema to match the new version.  sanitycheck is going to be very confused trying to operate on a different version of the schema than it's intended for.

Jack Sparrow <[hidden email]> wrote:

>I'm trying to upgrade Bugzilla from 3.2.6 to 4.2.4.
>Took the DB dump of 3.2.6 and restored in 4.2.4. After running the
>"SANITYCHECK.PL" i'm getting the below error.
><http://mozilla.6506.n7.nabble.com/file/n267498/bugzilla_error.png>
>
>Thanks In advance.
--
Dave Miller                                     http://www.justdave.net/
IT Infrastructure Engineer, Mozilla             http://www.mozilla.org/
Project Leader, Bugzilla Bug Tracking System    http://www.bugzilla.org/
_______________________________________________
support-bugzilla mailing list
[hidden email]
https://lists.mozilla.org/listinfo/support-bugzilla
PLEASE put [hidden email] in the To: field when you reply.